tigase.server.ext.handlers

## Class ComponentAcceptStreamOpenHandler

- java.lang.Object
- - tigase.server.ext.handlers.ComponentAcceptStreamOpenHandler

- All Implemented Interfaces:
    StreamOpenHandler

      public class ComponentAcceptStreamOpenHandler
      extends Object
      implements StreamOpenHandler

  Created: Oct 7, 2009 5:51:47 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS` Field description

    - ### Fields inherited from interface tigase.server.ext.StreamOpenHandler

      `XMLNS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentAcceptStreamOpenHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getXMLNSs()` Method description
    `String` | `serviceStarted(ComponentIOService serv)` Method description
    `String` | `streamOpened(ComponentIOService serv, Map<String,String> attribs, ComponentProtocolHandler handler)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMLNS

          public static final String XMLNS

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentAcceptStreamOpenHandler

          public ComponentAcceptStreamOpenHandler()

  - ### Method Detail

    - #### getXMLNSs

          public String[] getXMLNSs()

      Method description
      Specified by:
        `getXMLNSs` in interface `StreamOpenHandler`

    - #### serviceStarted

          public String serviceStarted(ComponentIOService serv)

      Method description
      Specified by:
        `serviceStarted` in interface `StreamOpenHandler`
      Parameters:
        `serv` -

    - #### streamOpened

          public String streamOpened(ComponentIOService serv,
                            Map<String,String> attribs,
                            ComponentProtocolHandler handler)

      Method description
      Specified by:
        `streamOpened` in interface `StreamOpenHandler`
      Parameters:
        `serv` -
        `attribs` -
        `handler` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.